Ericom AccessNow system requirements from Ericom

System Requirements


Ericom AccessNow



Browsers - HTML5-capable browsers including, but not limited to:
  • Chrome
  • Safari
  • Firefox
  • Microsoft Edge
  • Microsoft Internet Explorer 11
Note: Some SSL VPNs may prevent some browsers from connecting, even if they are listed in the section above.

Clients - Supports any device running one of the browsers listed above, including:

  • Windows 7 or higher - both x86 (32-bit) and x64 (64-bit)
  • Google Chrome OS (Chromebook and Chromebox)
  • Linux (Ubuntu, Red Hat, Novell SUSE, etc)
  • Mac OS (Intel)
  • Apple iOS (iPad / iPad mini / iPhone / iPod)
  • Google Android
  • Supported by most devices with an HTML5-capable browser



Server Platforms
  • Windows Server 2008 / 2008(R2) / 2012 / 2012 R2 / 2016 Terminal Services (physical or virtual). Both x86 (32-bit) and x64 (64-bit) are supported.
  • Windows 7, 8, 10 or higher as remote desktops (physical or virtual). Both x86 (32-bit) and x64 (64-bit) are supported.
  • Server must have CPU with SSE2 instruction set support




  Close Window






Top